/**
 * Piwik - Open source web analytics
 *
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html Gpl v3 or later
 */

// http://demo.piwik.org/index.php?hideMetricsDoc=1&showTimer=0&filter_limit=30&period=day&date=yesterday&idSite=3&apiModule=Referers&apiAction=getSearchEngines&sortOrderColumn=nb_visits&filter_sort_column=nb_visits&module=API&token_auth=anonymous&format=json&method=API.getProcessedReport&language=en&
exports.getSearchEngineReport = function()
{
    return {"website":"virtual-drums.com","prettyDate":"Monday 1 July 2013","metadata":{"category":"Referrers","name":"Search Engines","module":"Referers","action":"getSearchEngines","dimension":"Search Engine","documentation":"This report shows which search engines referred users to your website. <br \/> By clicking on a row in the table, you can see what users were searching for using a specific search engine.","actionToLoadSubTables":"getKeywordsFromSearchEngineId","metrics":{"nb_visits":"Visits","nb_uniq_visitors":"Unique visitors","nb_actions":"Actions"},"processedMetrics":{"nb_actions_per_visit":"Actions per Visit","avg_time_on_site":"Avg. Time on Website","bounce_rate":"Bounce Rate"},"metricsGoal":{"nb_conversions":"Conversions","revenue":"Revenue"},"processedMetricsGoal":{"revenue_per_visit":"Revenue per Visit"},"imageGraphUrl":"index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=Referers&apiAction=getSearchEngines&token_auth=anonymous&period=day&date=yesterday","imageGraphEvolutionUrl":"index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=Referers&apiAction=getSearchEngines&token_auth=anonymous&period=day&date=2013-06-02,2013-07-01","uniqueId":"Referers_getSearchEngines"},"columns":{"label":"Search Engine","nb_visits":"Visits","nb_uniq_visitors":"Unique visitors","nb_actions":"Actions","nb_actions_per_visit":"Actions per Visit","avg_time_on_site":"Avg. Time on Website","bounce_rate":"Bounce Rate","revenue":"Revenue"},"reportData":[{"label":"Google","nb_uniq_visitors":16,"nb_visits":16,"nb_actions":20,"nb_actions_per_visit":1.25,"avg_time_on_site":"00:00:04","bounce_rate":"93.75%","revenue":"$ 0"},{"label":"Bing","nb_uniq_visitors":3,"nb_visits":3,"nb_actions":5,"nb_actions_per_visit":1.67,"avg_time_on_site":"00:07:59","bounce_rate":"33.33%","revenue":"$ 0"},{"label":"Yahoo!","nb_uniq_visitors":2,"nb_visits":2,"nb_actions":2,"nb_actions_per_visit":1,"avg_time_on_site":"00:00:00","bounce_rate":"100%","revenue":"$ 0"},{"label":"Google Images","nb_uniq_visitors":1,"nb_visits":1,"nb_actions":4,"nb_actions_per_visit":4,"avg_time_on_site":"00:00:36","bounce_rate":"0%","revenue":"$ 0"},{"label":"Yandex","nb_uniq_visitors":1,"nb_visits":1,"nb_actions":1,"nb_actions_per_visit":1,"avg_time_on_site":"00:00:00","bounce_rate":"100%","revenue":"$ 0"}],"reportMetadata":[{"url":"http:\/\/google.com","logo":"plugins\/Referers\/images\/searchEngines\/google.com.png","idsubdatatable":32},{"url":"http:\/\/bing.com","logo":"plugins\/Referers\/images\/searchEngines\/bing.com.png","idsubdatatable":31},{"url":"http:\/\/search.yahoo.com","logo":"plugins\/Referers\/images\/searchEngines\/search.yahoo.com.png","idsubdatatable":34},{"url":"http:\/\/images.google.com","logo":"plugins\/Referers\/images\/searchEngines\/images.google.com.png","idsubdatatable":33},{"url":"http:\/\/yandex.ru","logo":"plugins\/Referers\/images\/searchEngines\/yandex.ru.png","idsubdatatable":35}]};
};

// http://demo.piwik.org/index.php?hideMetricsDoc=1&showTimer=0&filter_limit=30&period=day&date=yesterday&idSite=3&apiModule=Referers&apiAction=getSocials&sortOrderColumn=nb_visits&filter_sort_column=nb_visits&module=API&token_auth=anonymous&format=json&method=API.getProcessedReport&language=en&
exports.getReportWithDimensionHavingNoEntries = function ()
{
    return {"website":"virtual-drums.com","prettyDate":"Monday 1 July 2013","metadata":{"category":"Referrers","name":"Social Networks","module":"Referers","action":"getSocials","actionToLoadSubTables":"getUrlsForSocial","dimension":"Social network","documentation":"In this table, you can see which websites referred visitors to your site. <br \/> By clicking on a row in the table, you can see which URLs the links to your website were on.","metrics":{"nb_visits":"Visits","nb_uniq_visitors":"Unique visitors","nb_actions":"Actions"},"processedMetrics":{"nb_actions_per_visit":"Actions per Visit","avg_time_on_site":"Avg. Time on Website","bounce_rate":"Bounce Rate","conversion_rate":"Conversion Rate"},"imageGraphUrl":"index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=Referers&apiAction=getSocials&token_auth=anonymous&period=day&date=yesterday","imageGraphEvolutionUrl":"index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=Referers&apiAction=getSocials&token_auth=anonymous&period=day&date=2013-06-02,2013-07-01","uniqueId":"Referers_getSocials"},"columns":{"label":"Social network","nb_visits":"Visits","nb_uniq_visitors":"Unique visitors","nb_actions":"Actions","nb_actions_per_visit":"Actions per Visit","avg_time_on_site":"Avg. Time on Website","bounce_rate":"Bounce Rate","conversion_rate":"Conversion Rate"},"reportData":[],"reportMetadata":[]};
};

// http://demo.piwik.org/index.php?hideMetricsDoc=1&showTimer=0&filter_limit=30&period=day&date=yesterday&idSite=3&apiModule=UserSettings&apiAction=getBrowserType&sortOrderColumn=nb_visits&filter_sort_column=nb_visits&module=API&token_auth=anonymous&format=json&method=API.getProcessedReport&language=en&
exports.getBrowserFamilyReport = function ()
{
    return {"website":"virtual-drums.com","prettyDate":"Monday 1 July 2013","metadata":{"category":"Visitor Settings","name":"Browser Family","module":"UserSettings","action":"getBrowserType","dimension":"Browser family","documentation":"This chart shows your visitors' browsers broken down into browser families. <br \/> The most important information for web developers is what kind of rendering engine their visitors are using. The labels contain the names of the engines followed by the most common browser using that engine in brackets.","metrics":{"nb_visits":"Visits","nb_uniq_visitors":"Unique visitors","nb_actions":"Actions"},"processedMetrics":{"nb_actions_per_visit":"Actions per Visit","avg_time_on_site":"Avg. Time on Website","bounce_rate":"Bounce Rate","conversion_rate":"Conversion Rate"},"imageGraphUrl":"index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=UserSettings&apiAction=getBrowserType&token_auth=anonymous&period=day&date=yesterday","imageGraphEvolutionUrl":"index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=UserSettings&apiAction=getBrowserType&token_auth=anonymous&period=day&date=2013-06-02,2013-07-01","uniqueId":"UserSettings_getBrowserType"},"columns":{"label":"Browser family","nb_visits":"Visits","nb_uniq_visitors":"Unique visitors","nb_actions":"Actions","nb_actions_per_visit":"Actions per Visit","avg_time_on_site":"Avg. Time on Website","bounce_rate":"Bounce Rate","conversion_rate":"Conversion Rate"},"reportData":[{"label":"WebKit (Safari, Chrome)","nb_uniq_visitors":17,"nb_visits":null,"nb_actions":22,"nb_actions_per_visit":1.29,"avg_time_on_site":"00:00:06","bounce_rate":"82.35%","conversion_rate":"0%"},{"label":"Gecko (Firefox)","nb_uniq_visitors":9,"nb_visits":9,"nb_actions":15,"nb_actions_per_visit":1.67,"avg_time_on_site":"00:00:13","bounce_rate":"77.78%","conversion_rate":"0%"},{"label":"Trident (IE)","nb_uniq_visitors":2,"nb_visits":2,"nb_actions":2,"nb_actions_per_visit":1,"avg_time_on_site":"00:00:00","bounce_rate":"100%","conversion_rate":"0%"},{"label":"Presto (Opera)","nb_uniq_visitors":1,"nb_visits":1,"nb_actions":2,"nb_actions_per_visit":2,"avg_time_on_site":"00:23:09","bounce_rate":"0%","conversion_rate":"0%"},{"label":"Unknown","nb_uniq_visitors":1,"nb_visits":1,"nb_actions":1,"nb_actions_per_visit":1,"avg_time_on_site":"00:00:00","bounce_rate":"100%","conversion_rate":"0%"}],"reportMetadata":[{"shortLabel":"Webkit"},{"shortLabel":"Gecko"},{"shortLabel":"Ie"},{"shortLabel":"Opera"},{"shortLabel":"Unknown"}]};
};

// http://demo.piwik.org/index.php?hideMetricsDoc=1&showTimer=0&filter_limit=30&period=day&date=yesterday&idSite=3&apiModule=VisitTime&apiAction=getByDayOfWeek&sortOrderColumn=nb_visits&filter_sort_column=nb_visits&module=API&token_auth=anonymous&format=json&method=API.getProcessedReport&language=en&
exports.getReportVisitsOfDayByWeek = function ()
{
    return {"website":"virtual-drums.com","prettyDate":"Monday 1 July 2013","metadata":{"category":"Visits Summary","name":"Visits by Day of Week","module":"VisitTime","action":"getByDayOfWeek","dimension":"Day of the week","documentation":"This graph shows the number of visits your website received on each day of the week.","constantRowsCount":true,"metrics":{"nb_visits":"Visits","nb_uniq_visitors":"Unique visitors","nb_actions":"Actions"},"processedMetrics":{"nb_actions_per_visit":"Actions per Visit","avg_time_on_site":"Avg. Time on Website","bounce_rate":"Bounce Rate","conversion_rate":"Conversion Rate"},"imageGraphUrl":"","uniqueId":"VisitTime_getByDayOfWeek"},"columns":{"label":"Day of the week","nb_visits":"Visits","nb_uniq_visitors":"Unique visitors","nb_actions":"Actions","nb_actions_per_visit":"Actions per Visit","avg_time_on_site":"Avg. Time on Website","bounce_rate":"Bounce Rate","conversion_rate":"Conversion Rate"},"reportData":[{"label":"Monday","nb_visits":30,"nb_actions":42,"nb_uniq_visitors":30,"nb_actions_per_visit":1.4,"avg_time_on_site":"00:00:54","bounce_rate":"80%","conversion_rate":"0%"},{"label":"Friday","nb_visits":0,"nb_actions_per_visit":0,"avg_time_on_site":"00:00:00","bounce_rate":"0%","nb_uniq_visitors":0,"nb_actions":0,"conversion_rate":"0%"},{"label":"Saturday","nb_visits":0,"nb_actions_per_visit":0,"avg_time_on_site":"00:00:00","bounce_rate":"0%","nb_uniq_visitors":0,"nb_actions":0,"conversion_rate":"0%"},{"label":"Sunday","nb_visits":0,"nb_actions_per_visit":0,"avg_time_on_site":"00:00:00","bounce_rate":"0%","nb_uniq_visitors":0,"nb_actions":0,"conversion_rate":"0%"},{"label":"Thursday","nb_visits":0,"nb_actions_per_visit":0,"avg_time_on_site":"00:00:00","bounce_rate":"0%","nb_uniq_visitors":0,"nb_actions":0,"conversion_rate":"0%"},{"label":"Tuesday","nb_visits":0,"nb_actions_per_visit":0,"avg_time_on_site":"00:00:00","bounce_rate":"0%","nb_uniq_visitors":0,"nb_actions":0,"conversion_rate":"0%"},{"label":"Wednesday","nb_visits":0,"nb_actions_per_visit":0,"avg_time_on_site":"00:00:00","bounce_rate":"0%","nb_uniq_visitors":0,"nb_actions":0,"conversion_rate":"0%"}],"reportMetadata":[{"day_of_week":1},{"day_of_week":5},{"day_of_week":6},{"day_of_week":7},{"day_of_week":4},{"day_of_week":2},{"day_of_week":3}]};
};

// http://demo.piwik.org/index.php?hideMetricsDoc=1&showTimer=0&filter_limit=40&period=day&date=yesterday&idSite=3&apiModule=VisitsSummary&apiAction=get&sortOrderColumn=nb_visits&filter_sort_column=nb_visits&module=API&token_auth=anonymous&format=json&method=API.getProcessedReport&language=en&
exports.getVisitsSummaryReport = function ()
{
    return {"website":"virtual-drums.com","prettyDate":"Monday 1 July 2013","metadata":{"category":"Visits Summary","name":"Visits Summary","module":"VisitsSummary","action":"get","metrics":{"nb_uniq_visitors":"Unique visitors","nb_visits":"Visits","nb_actions":"Actions","nb_actions_per_visit":"Actions per Visit","bounce_rate":"Bounce Rate","avg_time_on_site":"Avg. Visit Duration (in seconds)","max_actions":"Maximum actions in one visit"},"imageGraphUrl":"index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=VisitsSummary&apiAction=get&token_auth=anonymous&period=day&date=2013-06-02,2013-07-01","imageGraphEvolutionUrl":"index.php?module=API&method=ImageGraph.get&idSite=3&apiModule=VisitsSummary&apiAction=get&token_auth=anonymous&period=day&date=2013-06-02,2013-07-01","uniqueId":"VisitsSummary_get"},"columns":{"nb_uniq_visitors":"Unique visitors","nb_visits":"Visits","nb_actions":"Actions","nb_actions_per_visit":"Actions per Visit","bounce_rate":"Bounce Rate","avg_time_on_site":"Avg. Visit Duration (in seconds)","max_actions":"Maximum actions in one visit"},"reportData":{"nb_uniq_visitors":30,"nb_visits":30,"nb_actions":42,"max_actions":5,"bounce_rate":"80%","nb_actions_per_visit":1.4,"avg_time_on_site":"00:00:54"},"reportMetadata":[]};
};

exports.getVisitsOfDayByWeekEntry = function () {

    var row = {"label":"Monday","nb_visits":30,"nb_actions":42,"nb_uniq_visitors":30,"nb_actions_per_visit":1.4,"avg_time_on_site":"00:00:54","bounce_rate":"80%","conversion_rate":"0%"};
    row.title = 'Monday';
    row.value = 30;
    row.id    = 0;
    row.reportMetadata  = {"day_of_week": 1};
    row.sortOrderColumn = 'nb_visits';
    row.hasDimension    = true;

    return row;
};

exports.getSearchEngineEntry = function () {

    var row = {"label":"Google","nb_uniq_visitors":16,"nb_visits":16,"nb_actions":20,"nb_actions_per_visit":1.25,"avg_time_on_site":"00:00:04","bounce_rate":"93.75%","revenue":"$ 0"};
    row.title = 'Google';
    row.value = 16;
    row.id    = 1;
    row.reportMetadata  = {"url":"http:\/\/google.com","logo":"plugins\/Referers\/images\/searchEngines\/google.com.png", "logoWidth": 14, "logoHeight": 16, "idsubdatatable":32};
    row.sortOrderColumn = 'nb_visits';
    row.hasDimension    = true;

    return row;
};